
From: Anton Blanchard <anton@samba.org>

Some architectures use cpu_vm_mask to optimise TLB flushes.  On ppc64 we
are now using a common flush infrastructure that handles both userspace and
kernelspace (vmalloc) pages.  In order to avoid triggering this
optimisation we need to mark the init mm as having scheduled on all cpus.

Things currently work by luck (we check for the cpu only having run on the
local cpu, and the field is initialised to 0), but it would be safer to
initialise it CPU_MASK_ALL.



---

 include/linux/init_task.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/init_task.h~init-cpu_vm_mask-in-init_mm include/linux/init_task.h
--- 25/include/linux/init_task.h~init-cpu_vm_mask-in-init_mm	2004-01-28 23:13:47.000000000 -0800
+++ 25-akpm/include/linux/init_task.h	2004-01-28 23:13:47.000000000 -0800
@@ -41,6 +41,7 @@
 	.mmap_sem	= __RWSEM_INITIALIZER(name.mmap_sem),	\
 	.page_table_lock =  SPIN_LOCK_UNLOCKED, 		\
 	.mmlist		= LIST_HEAD_INIT(name.mmlist),		\
+	.cpu_vm_mask	= CPU_MASK_ALL,				\
 	.default_kioctx = INIT_KIOCTX(name.default_kioctx, name),	\
 	.rlimit_rss	= RLIM_INFINITY			\
 }

_
